/*

Uniform Theme: Aristo
Version: 1.1
By: 280North / Ported by Josh Pyles
License: Creative Commons Share Alike
---
For use with the Uniform plugin:
http://uniformjs.com/

*/
/* General settings */
div.selector, div.selector span, div.checker span, div.radio span, div.uploader, div.uploader span.action, div.button, div.button span {
    background-image: url("../images/sprite-aristo.png");
    background-repeat: no-repeat;
    -webkit-font-smoothing: antialiased; }
div.selector, div.checker, div.button, div.radio, div.uploader {
    display: -moz-inline-box;
    display: inline-block;
    *display: inline;
    zoom: 1;
    vertical-align: middle;
    /* Keeping this as :focus to remove browser styles */ }
div.selector:focus, div.checker:focus, div.button:focus, div.radio:focus, div.uploader:focus {
    outline: 0; }
div.selector, div.selector *, div.radio, div.radio *, div.checker, div.checker *, div.uploader, div.uploader *, div.button, div.button * {
    margin: 0;
    padding: 0; }

.highContrastDetect {
    background: url("../images/bg-input-aristo.png") repeat-x 0 0;
    width: 0px;
    height: 0px; }

/* Input & Textarea */
input.uniform-input,
select.uniform-multiselect,
textarea.uniform {
    padding: 4px;
    background: url("../images/bg-input-aristo.png") repeat-x 0 0;
    outline: 0; }
input.uniform-input.active,
select.uniform-multiselect.active,
textarea.uniform.active {
    background: url("../images/bg-input-focus-aristo.png") repeat-x 0 0; }

/* Remove default webkit and possible mozilla .search styles.
 * Keeping this as :active to remove browser styles */
div.checker input,
input[type="search"],
input[type="search"]:active {
    -moz-appearance: none;
    -webkit-appearance: none; }

/* Select */
div.selector {
    background-position: 0 -160px;
    line-height: 32px;
    height: 32px;
    padding: 0 10px 0 8px;
    position: relative;
    overflow: hidden; }
div.selector span {
   
    display: block;
    overflow: hidden;
    white-space: nowrap;
    background-position: right 0;
    height: 32px;
    line-height: 32px;
    padding-right: 45px;
    cursor: pointer;
    width: 100%;
    display: block;
color:#222 !important;}
div.selector.fixedWidth {
    width: 190px; }
div.selector.fixedWidth span {
    width: 175px; }
div.selector select {
    opacity: 0;
    filter: alpha(opacity=0);
    -moz-opacity: 0;
    border: none;
    background: #fff;
    position: absolute;
    height: 24px;
    top: 4px;
    left: 3px;
    width: 100%; }
div.selector.active {
    background-position: 0 -192px; }
div.selector.active span {
    background-position: right -32px; }
div.selector.hover, div.selector.focus {
    background-position: 0 -224px; }
div.selector.hover span, div.selector.focus span {
    background-position: right -64px; }
div.selector.hover.active, div.selector.focus.active {
    background-position: 0 -256px; }
div.selector.hover.active span, div.selector.focus.active span {
    background-position: right -96px; }
div.selector.disabled, div.selector.disabled.active {
    background-position: 0 -288px; }
div.selector.disabled span, div.selector.disabled.active span {
    background-position: right -128px; }

/* Checkbox */
div.checker {
    position: relative; }
div.checker, div.checker span, div.checker input {
    width: 23px;
    height: 23px; }
div.checker span {
    display: -moz-inline-box;
    display: inline-block;
    *display: inline;
    zoom: 1;
    text-align: center;
    background-position: 0 -320px; }
div.checker span.checked {
    background-position: -92px -320px; }
div.checker input {
    opacity: 0;
    filter: alpha(opacity=0);
    -moz-opacity: 0;
    border: none;
    background: none;
    display: -moz-inline-box;
    display: inline-block;
    *display: inline;
    zoom: 1; }
div.checker.active span {
    background-position: -23px -320px; }
div.checker.active span.checked {
    background-position: -115px -320px; }
div.checker.hover span, div.checker.focus span {
    background-position: -46px -320px; }
div.checker.hover span.checked, div.checker.focus span.checked {
    background-position: -138px -320px; }
div.checker.hover.active span, div.checker.focus.active span {
    background-position: -69px -320px; }
div.checker.hover.active span.checked, div.checker.focus.active span.checked {
    background-position: -161px -320px; }
div.checker.disabled, div.checker.disabled.active {
    background-position: -184px -320px; }
div.checker.disabled span.checked, div.checker.disabled.active span.checked {
    background-position: -207px -320px; }

/* Radio */
div.radio {
    position: relative; }
div.radio, div.radio span, div.radio input {
    width: 23px;
    height: 23px; }
div.radio span {
    display: -moz-inline-box;
    display: inline-block;
    *display: inline;
    zoom: 1;
    text-align: center;
    background-position: 0 -343px; }
div.radio span.checked {
    background-position: -92px -343px; }
div.radio input {
    opacity: 0;
    filter: alpha(opacity=0);
    -moz-opacity: 0;
    border: none;
    background: none;
    display: -moz-inline-box;
    display: inline-block;
    *display: inline;
    zoom: 1;
    text-align: center; }
div.radio.active span {
    background-position: -23px -18px -343px; }
div.radio.active span.checked {
    background-position: -115px -343px; }
div.radio.hover span, div.radio.focus span {
    background-position: -46px -36px -343px; }
div.radio.hover span.checked, div.radio.focus span.checked {
    background-position: -138px -343px; }
div.radio.hover.active span, div.radio.focus.active span {
    background-position: -69px -343px; }
div.radio.hover.active span.checked, div.radio.focus.active span.checked {
    background-position: -161px -343px; }
div.radio.disabled span, div.radio.disabled.active span {
    background-position: -184px -343px; }
div.radio.disabled span.checked, div.radio.disabled.active span.checked {
    background-position: -207px -343px; }

/* Uploader */
div.uploader {
    background-position: 0 -366px;
    height: 32px;
    width: 190px;
    cursor: pointer;
    position: relative;
    overflow: hidden; }
div.uploader span.action {
    background-position: right -494px;
    height: 32px;
    line-height: 32px;
    width: 90px;
    text-align: center;
    float: left;
    display: inline;
    overflow: hidden;
    cursor: pointer; }
div.uploader span.filename {
    text-overflow: ellipsis;
    display: block;
    overflow: hidden;
    white-space: nowrap;
    float: left;
    cursor: default;
    height: 24px;
    margin: 4px 0 4px 4px;
    line-height: 24px;
    width: 76px;
    padding: 0 10px; }
div.uploader input {
    opacity: 0;
    filter: alpha(opacity=0);
    -moz-opacity: 0;
    border: none;
    background: none;
    position: absolute;
    top: 0;
    right: 0;
    float: right;
    cursor: default;
    width: 100%;
    height: 100%; }
div.uploader.active span.action {
    background-position: right -558px; }
div.uploader.hover, div.uploader.focus {
    background-position: 0 -430px; }
div.uploader.hover span.action, div.uploader.focus span.action {
    background-position: right -526px; }
div.uploader.hover.active span.action, div.uploader.focus.active span.action {
    background-position: right -590px; }
div.uploader.disabled, div.uploader.disabled.active {
    background-position: 0 -398px; }
div.uploader.disabled span.action, div.uploader.disabled.active span.action {
    background-position: right -462px; }

/* Buttons */
div.button {
    background-position: 0 -750px;
    height: 32px;
    cursor: pointer;
    position: relative;
    /* Keep buttons barely visible so they can get focus */ }
div.button a, div.button button, div.button input {
    opacity: 0.01;
    filter: alpha(opacity=1);
    -moz-opacity: 0.01;
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute; }
div.button span {
    display: -moz-inline-box;
    display: inline-block;
    *display: inline;
    zoom: 1;
    line-height: 22px;
    text-align: center;
    background-position: right -622px;
    height: 22px;
    margin-left: 13px;
    padding: 5px 15px 5px 2px; }
div.button.active {
    background-position: 0 -782px; }
div.button.active span {
    background-position: right -654px;
    cursor: default; }
div.button.hover, div.button.focus {
    background-position: 0 -814px; }
div.button.hover span, div.button.focus span {
    background-position: right -686px; }
div.button.disabled, div.button.disabled.active {
    background-position: 0 -846px; }
div.button.disabled span, div.button.disabled.active span {
    background-position: right -718px;
    cursor: default; }

/* INPUT & TEXTAREA */
input.uniform-input,
select.uniform-multiselect,
textarea.uniform {
    font-size: 14px;
    font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
    font-weight: normal;
    color: #777;
    background-color: #a1cbe2;
    border-top: solid 1px #aaaaaa;
    border-left: solid 1px #aaaaaa;
    border-bottom: solid 1px #cccccc;
    border-right: solid 1px #cccccc;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px; }
input.uniform-input.hover, input.uniform-input.focus,
select.uniform-multiselect.hover,
select.uniform-multiselect.focus,
textarea.uniform.hover,
textarea.uniform.focus {
    -webkit-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
    border-color: #999;
    background-color: #a1cbe2; }

/* Uploader */
div.button span {
    font-weight: bold;
    font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
    font-size: 13px;
    letter-spacing: 1px;
    text-transform: uppercase; }
div.button.hover span, div.button.focus span {
    color: #555; }
div.button.disabled span, div.button.disabled.active span {
    color: #bbb; }

/* Select */
div.selector {
    font-weight: bold;
    color: #464545;
    font-size: 14px; }
div.selector span {
    color: #666;
    text-shadow: 0 1px 0 white; }
div.selector select {
    font-family: "Helvetica Neue", Arial, Helvetica, sans-serif;
    font-size: 1em;
    border: solid 1px white; }
div.selector.disabled span, div.selector.disabled.active span {
    color: #bbb; }

/* Checker */
div.checker {
    margin-right: 10px; }

/* Radio */
div.radio {
    margin-right: 10px; }

div.uploader span.action {
    text-shadow: rgba(255, 255, 255, 0.5) 0px 1px 0px;
    background-color: #fff;
    font-weight: bold;
    color: #1c4257; }
div.uploader span.filename {
    color: #777;
    font-size: 11px; }
div.uploader.disabled span.action, div.uploader.disabled.active span.action {
    color: #aaa; }
div.uploader.disabled span.filename, div.uploader.disabled.active span.filename {
    border-color: #ddd;
    color: #aaa; }
